Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode.jr
Class BarCodeRenderer

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractRenderer
          net.sf.jasperreports.engine.JRAbstractSvgRenderer
              com.aspose.barcode.jr.BarCodeRenderer

All Implemented Interfaces:
  java.io.Serializable, net.sf.jasperreports.engine.JRRenderable

    public class BarCodeRenderer

extends net.sf.jasperreports.engine.JRAbstractSvgRenderer

BarCode Render, Rendering the barcodes onto the report

See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRRenderable
`IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

Constructor Summary
`BarCodeRenderer(BarCodeAttributes barCodeAttributes)`
`BarCodeRenderer(java.lang.String barCode, java.lang.String symbology)`

Method Summary
`void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Rendering the barcode with specified BarCodeAttributes

Methods inherited from class net.sf.jasperreports.engine.JRAbstractSvgRenderer
`getBackcolor, getDimension, getImageData, getImageType, getType`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer
`getId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarCodeRenderer

    public BarCodeRenderer(BarCodeAttributes barCodeAttributes)

### BarCodeRenderer

    public BarCodeRenderer(java.lang.String barCode,
                           java.lang.String symbology)

Method Detail

### render

    public void render(java.awt.Graphics2D grx,
                       java.awt.geom.Rectangle2D rectangle)

  Rendering the barcode with specified BarCodeAttributes

  Parameters:
    `grx` -
    `rectangle` -

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD